GCLI-SNIPPETS(1)

NAME
gcli snippets - manage Gitlab snippets

SYNOPSIS
gcli [-l] [-s] [-n n]
gcli delete snippet-id
gcli get snippet-id

DESCRIPTION
Use gcli to list, create, download or delete GitLab snippets. Without a subcommand specified, gcli will list all of your own snippets.

OPTIONS

-l, --long
    Print a long list instead of a short table.

-s, --sorted
    Reverse the output such that most recent items appear at the bottom.

-n, --count n
    Fetch at least n snippets. Setting n to -1 will fetch all snippets. Default: 30. Note that on users with many snippets fetching all snippets can take a considerable amount of time and may result in rate limiting by the GitLab API.

SUBCOMMANDS

delete
    Delete a snippet.

get Fetch the raw contents of the snippet.

EXAMPLES
List all of your snippets:

    $ gcli -t gitlab snippets

Delete snippet with id 69420:

    $ gcli -t gitlab snippets delete 69420

Print snippet with id 69420 into your pager:

    $ gcli -t gitlab snippets get 69420 | $PAGER

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS

-   This subcommand only works on Gitlab. It is not implemented for GitHub, as GitHub Gists work differently.

-   Creating snippets is currently unimplemented.

-   There is no -y flag to ask the user whether he is sure about deleting a snippet.

Please report bugs via E-Mail to ~herrhotzenplotz/gcli-discuss@lists.sr.ht.

Alternatively you can report them on any of the forges linked at https://herrhotzenplotz.de/gcli. However, the preferred and quickest method is to use the mailing list.